Kerbal Space Program - Bug #13722

Kerbnet not using relays
02/01/2017 06:58 AM - JohnsontheFly

Status: Confirmed Start date: 02/01/2017
Severity: High % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: 1.3.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

On a mission to Duna, | found that the relay orbiting Duna that | set up for a previous mission was not bouncing my signal when my
antenna was extended (when it wasn't extended, it did use the relay). the Relay had a much better connection to KSC than my
vessel had, so i'm assuming it should have used the relay.

History

#1 - 03/20/2017 03:38 PM - sal_vager

- Status changed from New to Need More Info

Hi JohnsontheFly, please see the wiki and provide your save and game logs, thank you.

#2 - 10/04/2017 09:47 PM - SHK1988
- File KSP.log added

- File bug.sfs added

- File screenshot28.png added

- File screenshot29.png added

| meet the same bug.

When my vessel can connect to KSC directly, the antenna didn't use the relay. The Relay had a much better connection to KSC than my vessel had.
If my vessel can't connect to KSC, the antenna used the relay. If the antenna wasn't extended, it used the relay. The antenna of my vessel is 2G. The
antenna of the first Relay is 2G. If the antenna of the first Relay become 100G, my vessel used the relay.

By the way, the connection between my vessel in the map is red, when saw from the Relay. While it is green, when saw from my vessel. This
happened when the Relay is 2G or 100G. But the 100G Relay would work.(This problem is caused by MechJeb2 Mod.)

Version of My KSP is 1.3.0.1804 (WindowsPlayer x64) zh-cn. It has MechJeb2 Mod. Before the test, | have removed the KSP Interstellar Extended
MOD.

The save and game logs are attached.
Name of my bug vessel is Duna_core_min.

#3 - 10/04/2017 09:56 PM - SHK1988

- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

- Version changed from 1.2.2 to 1.3.0

#4 - 10/04/2017 10:08 PM - SHK1988
- Status changed from Updated to Need More Info
- % Done changed from 10 to 0

| didn't know whether the updated mean the issue is updated and should | change the status.
| change it back. No do no wrong. perhaps.
https://bugs.kerbalspaceprogram.com/projects/ksp/wiki/Wiki

#5 - 10/04/2017 10:18 PM - SHK1988
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

refer Bug #15000, | think "Confirmed" is the best choice.
Confirmed to also exist on 1.3.0.1804

#6 - 10/05/2017 06:18 PM - SHK1988
- File KSP.log added

- File Bug.sfs added

- File screenshot37.png added

- File screenshot37.png added

Today, | did more test without any mod.The bug is also exist.

This bug can be repeated many times. In the test, | have find that the Relay satellite also has this bug. The Relay antenna alway extended. So | think
whether antenna extended isn't the key point. The antenna isn't extended, perhaps mean it isn't working and the internal antenna would be uesd.

| think, the key point of this bug is that the class of the antenna on the vessel is equal the class of the antenna on the Relay satellite. Perhaps, they
think the antennas are same class, the Relay can't have better connection. But the Relay can connect another bigger Relayll while the vessel can't
connect the bigger one.

#7 - 10/05/2017 06:37 PM - SHK1988
- File screenshot38.png added
- File KSP.log added

Confirmed to also exist on 1.3.1.1863
load the save of 1.3.0, than the bug can repeated many times.

#8 - 10/06/2017 12:20 AM - SHK1988
- File screenshot44.png added

screenshot38.png has no bug. | test again, bug is always exist. | don't know how did | make screenshot38.png.

Files

KSPbugReport2.PNG 202 KB 02/01/2017 JohnsontheFly
KSP.log 424 KB 10/04/2017 SHK1988
bug.sfs 2.97 MB 10/04/2017 SHK1988
screenshot28.png 229 KB 10/04/2017 SHK1988
screenshot29.png 200 KB 10/04/2017 SHK1988
KSP.log 539 KB 10/05/2017 SHK1988
Bug.sfs 154 KB 10/05/2017 SHK1988
screenshot37.png 218 KB 10/05/2017 SHK1988
screenshot37.png 212 KB 10/05/2017 SHK1988
screenshot38.png 210 KB 10/05/2017 SHK1988
KSP.log 256 KB 10/05/2017 SHK1988
screenshot44.png 236 KB 10/06/2017 SHK1988
